Subject: Re: bug#56682: locked narrowing

From: Gregory Heytings <[email-masked]>
Date: Sat, 20 Aug 2022 16:20:57 +0000

I pushed a (hopefully) improved version of the the locked narrowing 
feature in the feature/improved-locked-narrowing branch.  It is now 
possible:

1. to unlock a locked narrowing,

2. to use narrow-to-region and widen within the bounds of a locked 
narrowing,

3. to enter and leave a locked narrowing within a locked narrowing, and

4. to use that feature in Lisp code (either directly or with a helper 
macro).

As far as I understand, given that it is possible to unlock a locked 
narrowing, adding the possibility to choose how the bounds of the locked 
narrowings are computed has become unnecessary.

Comments/feedback welcome.